> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /comtrade/datasets/metadata

> Get UN Comtrade dataset methodology metadata — currency, valuation, trade system, conversion factors

**Price:** 1 credit

**⚠️ Common errors:** 412: No metadata is available for the requested reporter, period and classification



## OpenAPI

````yaml /openapi/finance-markets.json post /api/comtrade/datasets/metadata
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/comtrade/datasets/metadata:
    post:
      tags:
        - /comtrade
      summary: /comtrade/datasets/metadata
      description: >-
        Get UN Comtrade dataset methodology metadata — currency, valuation,
        trade system, conversion factors


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No metadata is available for the requested
        reporter, period and classification
      operationId: __api_comtrade_datasets_metadata_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ComtradeDatasetMetadataPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ComtradeDatasetNote'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ComtradeDatasetMetadataPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        type_code:
          $ref: '#/components/schemas/ComtradeTypeCode'
          default: C
        freq_code:
          $ref: '#/components/schemas/ComtradeFreqCode'
          default: A
        classification:
          $ref: '#/components/schemas/ComtradeClassification'
          default: HS
        reporter_code:
          type: integer
          exclusiveMinimum: 0
        period:
          type: string
      type: object
      required:
        - reporter_code
        - period
    ComtradeDatasetNote:
      properties:
        '@type':
          type: string
          default: ComtradeDatasetNote
        dataset_code:
          anyOf:
            - type: string
            - type: 'null'
        type_code:
          anyOf:
            - type: string
            - type: 'null'
        freq_code:
          anyOf:
            - type: string
            - type: 'null'
        period:
          anyOf:
            - type: string
            - type: 'null'
        reporter_code:
          anyOf:
            - type: integer
            - type: 'null'
        reporter_description:
          anyOf:
            - type: string
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        import_conv_factor:
          anyOf:
            - type: string
            - type: 'null'
        export_conv_factor:
          anyOf:
            - type: string
            - type: 'null'
        trade_system:
          anyOf:
            - type: string
            - type: 'null'
        classification_code:
          anyOf:
            - type: string
            - type: 'null'
        import_valuation:
          anyOf:
            - type: string
            - type: 'null'
        export_valuation:
          anyOf:
            - type: string
            - type: 'null'
        import_partner_country:
          anyOf:
            - type: string
            - type: 'null'
        export_partner_country:
          anyOf:
            - type: string
            - type: 'null'
        import_partner2_country:
          anyOf:
            - type: string
            - type: 'null'
        export_partner2_country:
          anyOf:
            - type: string
            - type: 'null'
        publication_note:
          anyOf:
            - type: string
            - type: 'null'
        publication_date:
          anyOf:
            - type: string
            - type: 'null'
        publication_date_short:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ComtradeTypeCode:
      type: string
      enum:
        - C
        - S
    ComtradeFreqCode:
      type: string
      enum:
        - A
        - M
    ComtradeClassification:
      type: string
      enum:
        - HS
        - H0
        - H1
        - H2
        - H3
        - H4
        - H5
        - H6
        - SITC
        - S1
        - S2
        - S3
        - S4
        - ST
        - BEC
        - B4
        - B5
        - EB
        - EB02
        - EB10
        - EB10S
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````